Warm List

GET /public/v1/warmlist/{workspaceId}/monitored-profiles/{profileId}/posts

Get posts and engagement stats for a specific monitored profile.

GET /public/v1/warmlist/{workspaceId}/monitored-profiles/{profileId}/posts

GET /public/v1/warmlist/{workspaceId}/monitored-profiles/{profileId}/posts

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/monitored-profiles/{PROFILEID}/posts' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "profile": {
      "id": "<string>",
      "name": "<string>",
      "profile_url": "<string>",
      "profile_pic": "<string>",
      "linkedin_urn": "<string>"
    },
    "posts": [
      {
        "post_id": "<string>",
        "post_text": "<string>",
        "post_date": "<string>",
        "total_engagers": 1,
        "comments_count": 1,
        "reactions_count": 1
      }
    ],
    "stats": {
      "total_posts": 1,
      "total_engagers": 1,
      "total_comments": 1,
      "total_reactions": 1
    },
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • profileId string required
  • workspaceId string required

Query Parameters

  • limit number
  • offset number
  • ownerId string

    Admin/Owner only: view posts for a specific workspace member's monitored profile

  • postEngagementType string

    Filter by engagement type: COMMENT or REACTION

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • profile object
      + Show Child Attributes
      • id string
      • name string nullable
      • profile_url string
      • profile_pic string nullable
      • linkedin_urn string
    • posts[] object array
      + Show Child Attributes
      • post_id string
      • post_text string nullable
      • post_date string nullable
      • total_engagers number
      • comments_count number
      • reactions_count number
    • stats object
      + Show Child Attributes
      • total_posts number
      • total_engagers number
      • total_comments number
      • total_reactions number
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean